OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
LevelScope Struct Reference

A LevelScope object sets the logging level to a given level and restores it to the current level when the object goes out of scope. More...

`#include <logging.h>`

## Public Member Functions
| LevelScope (Level newLevel)
| ~LevelScope ()

## Public Attributes
Level | level

## Detailed Description

A LevelScope object sets the logging level to a given level and restores it to the current level when the object goes out of scope.

## Constructor & Destructor Documentation

## ◆ LevelScope()

LevelScope | ( | Level | newLevel | ) |
| inline explicit

## ◆ ~LevelScope()

~LevelScope | ( |  | ) |
| inline

## Member Data Documentation

## ◆ level

Level level

The documentation for this struct was generated from the following file:

- logging.h